Bug 1460807 - Access Web Console Cockpit not compatible with Windows VMs
Access Web Console Cockpit not compatible with Windows VMs
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity medium
: GA
: 5.8.1
Assigned To: Brian McLaughlin
Jeff Teehan
ui:access:windows
: ZStream
Depends On: 1447100
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 16:00 EDT by Satoe Imaishi
Modified: 2017-08-28 19:28 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1447100
Environment:
Last Closed: 2017-08-02 13:30:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-12 16:03:33 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/0076c6b0e442b29fa6a2b019d4369b3f4d6a9f1c

commit 0076c6b0e442b29fa6a2b019d4369b3f4d6a9f1c
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Jun 7 16:21:58 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 12 16:01:21 2017 -0400

    Merge pull request #1282 from bmclaughlin/cockpit-doesnt-support-windows
    
    Disable Web Console button when VM's platform is Windows
    (cherry picked from commit 5ea3f5124a3361cf4a9f161187661e43342ab26f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460807

 app/helpers/application_helper/button/cockpit_console.rb     |  5 +++++
 .../application_helper/buttons/cockpit_console_spec.rb       | 12 ++++++++++++
 2 files changed, 17 insertions(+)
Comment 3 Jeff Teehan 2017-06-27 18:42:11 EDT
The Web Control under Access button is greyed out as expected.  Thanks.

Moving to verified for 5.8.1.0

Test case already exists.
Comment 5 errata-xmlrpc 2017-08-02 13:30:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.